Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server.dynamic
Class JSMPoint

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.dynamic.JSMPoint

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, Point

    public class JSMPoint

extends JSMBaseObject
implements Point

Field Summary

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMPoint()`
`JSMPoint(JSMPoint optionsPoint)`

Method Summary
`java.lang.String` | `getColor()`
`JSMElement` | `getGraphic()`
`double` | `getX()`
`double` | `getY()`
`void` | `selectPoint(boolean select, boolean accumulate)`
`JSMPoint` | `setGraphic(JSMElement graphic)`
`JSMPoint` | `setX(double x)`
`JSMPoint` | `setY(double y)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSMPoint

    public JSMPoint(JSMPoint optionsPoint)

### JSMPoint

    public JSMPoint()

Method Detail

### getX

    public double getX()

  Specified by:
    `getX` in interface `Point`

### setX

    public JSMPoint setX(double x)

### getY

    public double getY()

  Specified by:
    `getY` in interface `Point`

### getColor

    public java.lang.String getColor()

  Specified by:
    `getColor` in interface `Point`

### setY

    public JSMPoint setY(double y)

### getGraphic

    public JSMElement getGraphic()

  Specified by:
    `getGraphic` in interface `Point`

### setGraphic

    public JSMPoint setGraphic(JSMElement graphic)

### selectPoint

    public void selectPoint(boolean select,
                            boolean accumulate)

  Specified by:
    `selectPoint` in interface `Point`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD